XML Schema API: Interface XSSimpleTypeDefinition

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface XSSimpleTypeDefinition

All Superinterfaces:
  XSObject, XSTypeDefinition

public interface XSSimpleTypeDefinition
extends XSTypeDefinition

This interface represents the Simple Type Definition schema component. This interface provides several query operations for facet components. Users can either retrieve the defined facets as XML Schema components, using the `facets` and the `multiValueFacets` attributes; or users can separately query a facet's properties using methods such as `getLexicalFacetValue`, `isFixedFacet`, etc.

Field Summary
`static short` | `FACET_ENUMERATION` 4.3.5 enumeration.
`static short` | `FACET_FRACTIONDIGITS` 4.3.12 fractionDigits.
`static short` | `FACET_LENGTH` 4.3.1 Length
`static short` | `FACET_MAXEXCLUSIVE` 4.3.9 maxExclusive.
`static short` | `FACET_MAXINCLUSIVE` 4.3.7 maxInclusive.
`static short` | `FACET_MAXLENGTH` 4.3.3 maxLength.
`static short` | `FACET_MINEXCLUSIVE` 4.3.9 minExclusive.
`static short` | `FACET_MININCLUSIVE` 4.3.10 minInclusive.
`static short` | `FACET_MINLENGTH` 4.3.2 minLength.
`static short` | `FACET_NONE` No facets defined.
`static short` | `FACET_PATTERN` 4.3.4 pattern.
`static short` | `FACET_TOTALDIGITS` 4.3.11 totalDigits .
`static short` | `FACET_WHITESPACE` 4.3.5 whitespace.
`static short` | `ORDERED_FALSE` A constant defined for the 'ordered' fundamental facet: not ordered.
`static short` | `ORDERED_PARTIAL` A constant defined for the 'ordered' fundamental facet: partially ordered.
`static short` | `ORDERED_TOTAL` A constant defined for the 'ordered' fundamental facet: total ordered.
`static short` | `VARIETY_ABSENT` The variety is absent for the anySimpleType definition.
`static short` | `VARIETY_ATOMIC` `Atomic` type.
`static short` | `VARIETY_LIST` `List` type.
`static short` | `VARIETY_UNION` `Union` type.

Fields inherited from interface org.apache.xerces.xs.XSTypeDefinition
`COMPLEX_TYPE, SIMPLE_TYPE`

Method Summary
`XSObjectList` | `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
`boolean` | `getBounded()` Fundamental Facet: bounded.
`short` | `getBuiltInKind()` Returns the closest built-in type category this type represents or derived from.
`short` | `getDefinedFacets()` [facets]: all facets defined on this type.
`XSObject` | `getFacet(int facetType)` A constraining facet object.
`XSObjectList` | `getFacets()` A list of constraining facets if it exists, otherwise an empty `XSObjectList`.
`boolean` | `getFinite()` Fundamental Facet: cardinality.
`short` | `getFixedFacets()` [facets]: all defined facets for this type which are fixed.
`XSSimpleTypeDefinition` | `getItemType()` If variety is `list` the item type definition (an atomic or union simple type definition) is available, otherwise `null`.
`StringList` | `getLexicalEnumeration()` A list of enumeration values if it exists, otherwise an empty `StringList`.
`java.lang.String` | `getLexicalFacetValue(short facetName)` Convenience method.
`StringList` | `getLexicalPattern()` A list of pattern values if it exists, otherwise an empty `StringList`.
`XSObjectList` | `getMemberTypes()` If variety is `union` the list of member type definitions (a non-empty sequence of simple type definitions) is available, otherwise an empty `XSObjectList`.
`XSObjectList` | `getMultiValueFacets()` A list of enumeration and pattern constraining facets if it exists, otherwise an empty `XSObjectList`.
`boolean` | `getNumeric()` Fundamental Facet: numeric.
`short` | `getOrdered()` Fundamental Facet: ordered.
`XSSimpleTypeDefinition` | `getPrimitiveType()` If variety is `atomic` the primitive type definition (a built-in primitive datatype definition or the simple ur-type definition) is available, otherwise `null`.
`short` | `getVariety()` [variety]: one of {atomic, list, union} or absent.
`boolean` | `isDefinedFacet(short facetName)` Convenience method.
`boolean` | `isFixedFacet(short facetName)` Convenience method.

Methods inherited from interface org.apache.xerces.xs.XSTypeDefinition
`derivedFrom, derivedFromType, getAnonymous, getBaseType, getFinal, getTypeCategory, isFinal`

Methods inherited from interface org.apache.xerces.xs.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Field Detail

### VARIETY_ABSENT

    public static final short VARIETY_ABSENT

  The variety is absent for the anySimpleType definition.

### VARIETY_ATOMIC

    public static final short VARIETY_ATOMIC

  `Atomic` type.

### VARIETY_LIST

    public static final short VARIETY_LIST

  `List` type.

### VARIETY_UNION

    public static final short VARIETY_UNION

  `Union` type.

### FACET_NONE

    public static final short FACET_NONE

  No facets defined.

### FACET_LENGTH

    public static final short FACET_LENGTH

  4.3.1 Length

### FACET_MINLENGTH

    public static final short FACET_MINLENGTH

  4.3.2 minLength.

### FACET_MAXLENGTH

    public static final short FACET_MAXLENGTH

  4.3.3 maxLength.

### FACET_PATTERN

    public static final short FACET_PATTERN

  4.3.4 pattern.

### FACET_WHITESPACE

    public static final short FACET_WHITESPACE

  4.3.5 whitespace.

### FACET_MAXINCLUSIVE

    public static final short FACET_MAXINCLUSIVE

  4.3.7 maxInclusive.

### FACET_MAXEXCLUSIVE

    public static final short FACET_MAXEXCLUSIVE

  4.3.9 maxExclusive.

### FACET_MINEXCLUSIVE

    public static final short FACET_MINEXCLUSIVE

  4.3.9 minExclusive.

### FACET_MININCLUSIVE

    public static final short FACET_MININCLUSIVE

  4.3.10 minInclusive.

### FACET_TOTALDIGITS

    public static final short FACET_TOTALDIGITS

  4.3.11 totalDigits .

### FACET_FRACTIONDIGITS

    public static final short FACET_FRACTIONDIGITS

  4.3.12 fractionDigits.

### FACET_ENUMERATION

    public static final short FACET_ENUMERATION

  4.3.5 enumeration.

### ORDERED_FALSE

    public static final short ORDERED_FALSE

  A constant defined for the 'ordered' fundamental facet: not ordered.

### ORDERED_PARTIAL

    public static final short ORDERED_PARTIAL

  A constant defined for the 'ordered' fundamental facet: partially ordered.

### ORDERED_TOTAL

    public static final short ORDERED_TOTAL

  A constant defined for the 'ordered' fundamental facet: total ordered.

Method Detail

### getVariety

    public short getVariety()

  [variety]: one of {atomic, list, union} or absent.

### getPrimitiveType

    public XSSimpleTypeDefinition getPrimitiveType()

  If variety is `atomic` the primitive type definition (a built-in primitive datatype definition or the simple ur-type definition) is available, otherwise `null`.

### getBuiltInKind

    public short getBuiltInKind()

  Returns the closest built-in type category this type represents or derived from. For example, if this simple type is a built-in derived type integer the `INTEGER_DV` is returned.

### getItemType

    public XSSimpleTypeDefinition getItemType()

  If variety is `list` the item type definition (an atomic or union simple type definition) is available, otherwise `null`.

### getMemberTypes

    public XSObjectList getMemberTypes()

  If variety is `union` the list of member type definitions (a non-empty sequence of simple type definitions) is available, otherwise an empty `XSObjectList`.

### getDefinedFacets

    public short getDefinedFacets()

  [facets]: all facets defined on this type. The value is a bit combination of FACET_XXX constants of all defined facets.

### isDefinedFacet

    public boolean isDefinedFacet(short facetName)

  Convenience method. [Facets]: check whether a facet is defined on this type.
  Parameters:
    `facetName` - The name of the facet.
  Returns:
    True if the facet is defined, false otherwise.

### getFixedFacets

    public short getFixedFacets()

  [facets]: all defined facets for this type which are fixed.

### isFixedFacet

    public boolean isFixedFacet(short facetName)

  Convenience method. [Facets]: check whether a facet is defined and fixed on this type.
  Parameters:
    `facetName` - The name of the facet.
  Returns:
    True if the facet is fixed, false otherwise.

### getLexicalFacetValue

    public java.lang.String getLexicalFacetValue(short facetName)

  Convenience method. Returns a value of a single constraining facet for this simple type definition. This method must not be used to retrieve values for `enumeration` and `pattern` facets.
  Parameters:
    `facetName` - The name of the facet, i.e. `FACET_LENGTH, FACET_TOTALDIGITS`. To retrieve the value for a pattern or an enumeration, see `enumeration` and `pattern`.
  Returns:
    A value of the facet specified in `facetName` for this simple type definition or `null`.

### getLexicalEnumeration

    public StringList getLexicalEnumeration()

  A list of enumeration values if it exists, otherwise an empty `StringList`.

### getLexicalPattern

    public StringList getLexicalPattern()

  A list of pattern values if it exists, otherwise an empty `StringList`.

### getOrdered

    public short getOrdered()

  Fundamental Facet: ordered.

### getFinite

    public boolean getFinite()

  Fundamental Facet: cardinality.

### getBounded

    public boolean getBounded()

  Fundamental Facet: bounded.

### getNumeric

    public boolean getNumeric()

  Fundamental Facet: numeric.

### getFacets

    public XSObjectList getFacets()

  A list of constraining facets if it exists, otherwise an empty `XSObjectList`. Note: This method must not be used to retrieve values for `enumeration` and `pattern` facets.

### getMultiValueFacets

    public XSObjectList getMultiValueFacets()

  A list of enumeration and pattern constraining facets if it exists, otherwise an empty `XSObjectList`.

### getFacet

    public XSObject getFacet(int facetType)

  A constraining facet object. An instance of XSFacet or XSMultiValueFacet.

### getAnnotations

    public XSObjectList getAnnotations()

  A sequence of [annotations] or an empty `XSObjectList`.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.